dpkg-0.0.3: libdpkg bindings

Safe Haskell | Safe
Language | Haskell2010

Debian.Dpkg.Enums

# Documentation

data PkgWant Source

Constructors

PKG_WANT_UNKNOWN |
PKG_WANT_INSTALL |
PKG_WANT_HOLD |
PKG_WANT_DEINSTALL |
PKG_WANT_PURGE |
PKG_WANT_SENTINEL |

Instances

Enum PkgWant Source |
Eq PkgWant Source |
Show PkgWant Source |

data PkgEflag Source

Constructors

PKG_EFLAG_OK |
PKG_EFLAG_REINSTREQ |

Instances

Enum PkgEflag Source |
Eq PkgEflag Source |
Show PkgEflag Source |

data PkgStatus Source

Constructors

PKG_STAT_NOTINSTALLED |
PKG_STAT_CONFIGFILES |
PKG_STAT_HALFINSTALLED |
PKG_STAT_UNPACKED |
PKG_STAT_HALFCONFIGURED |
PKG_STAT_TRIGGERSAWAITED |
PKG_STAT_TRIGGERSPENDING |
PKG_STAT_INSTALLED |

Instances

Enum PkgStatus Source |
Eq PkgStatus Source |
Show PkgStatus Source |

data PkgPriority Source

Constructors

PKG_PRIO_UNSET |
PKG_PRIO_REQUIRED |
PKG_PRIO_IMPORTANT |
PKG_PRIO_STANDARD |
PKG_PRIO_OPTIONAL |
PKG_PRIO_EXTRA |
PKG_PRIO_OTHER |
PKG_PRIO_UNKNOWN |

Instances

Enum PkgPriority Source |
Eq PkgPriority Source |
Show PkgPriority Source |